﻿using System.ComponentModel;
using System;
using Wisej.Web;

namespace ComboBoxDataBinding
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		//create the BindingLists. Will be later set to the DataSource of the Combobox.
		BindingList<Item> ItemList = new BindingList<Item>();
		BindingList<Item> ItemList3 = new BindingList<Item>();
		private void Page1_Load(object sender, System.EventArgs e)
		{
			
			//using icons
			//manually adding each item via code
			this.comboBox1.IconMember = "Icon";
			this.comboBox1.ValueMember = "ID";
			this.comboBox1.DisplayMember = "Name";
			this.comboBox1.ToolTipMember = "Tooltip";

			this.comboBox1.Items.Add(
				new
				{
					ID = 1,
					Name = "Wisej",
					Icon = "icon-print",
					Tooltip = "Tooltip for item 1"
				});

			this.comboBox1.Items.Add(
				new
				{
					ID = 12,
					Name = "Blazor",
					Icon = "icon-exit",
					Tooltip = "Tooltip for item 2"
				});

			//using images
			//datasource is set to a bindinglist
			comboBox2.DataSource = ItemList;
			ItemList.Add(new Item() { Name = "Apple", Icon = "./Resources/apple.png" });
			ItemList.Add(new Item() { Name = "Apple2", Icon = "./Resources/apple.png" });
			this.comboBox2.IconMember = "Icon";
			this.comboBox2.ValueMember = "Name";

			//using icons
			//datasource is set to a bindinglist
			comboBox3.DataSource = ItemList3;
			ItemList3.Add(new Item() { Name = "Wisej", Icon = "icon-print" });
			ItemList3.Add(new Item() { Name = "Blazor", Icon = "icon-exit" });
			this.comboBox3.IconMember = "Icon";
			this.comboBox3.ValueMember = "Name";

			//using images
			//manually adding each item via code
			this.comboBox4.IconMember = "Icon";
			this.comboBox4.ValueMember = "ID";
			this.comboBox4.DisplayMember = "Name";
			this.comboBox4.ToolTipMember = "Tooltip";

			this.comboBox4.Items.Add(
				new
				{
					ID = 1,
					Name = "Apple",
					Icon = "./Resources/apple.png",
					Tooltip = "Tooltip for item 1"
				});

			this.comboBox4.Items.Add(
				new
				{
					ID = 12,
					Name = "Apple2",
					Icon = "./Resources/apple.png",
					Tooltip = "Tooltip for item 2"
				});
		}
	}
}
